Bug 1014787 - iso repo uploads list enlists paused rpm uploads
iso repo uploads list enlists paused rpm uploads
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
Master
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.3.0
Assigned To: Sayli Karmarkar
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 15:30 EDT by Sayli Karmarkar
Modified: 2015-03-22 21:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 09:30:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sayli Karmarkar 2013-10-02 15:30:28 EDT
Description of problem:

Run an 'rpm repo uploads' command to upload a bunch of rpms from a directory and run "pulp-admin iso repo uploads list" while it is running.

Looks like both are using the same working dir on the client, so listing all uploads no matter what type of upload it is. 


$  pulp-admin rpm repo uploads rpm --repo-id test-repo-100 -d /var/tmp/generated-repo/
+----------------------------------------------------------------------+
                              Unit Upload
+----------------------------------------------------------------------+

Extracting necessary metadata for each request...
[==================================================] 100%
Analyzing: uncrate-5.4.3-1.noarch.rpm
... completed

Creating upload requests on the server...
[===================                               ] 39%
Initializing: aeroembolism-6.2.11-1.noarch.rpm




[skarmark@sunflower pulp]$ pulp-admin iso repo uploads list
+----------------------------------------------------------------------+
                            Upload Requests
+----------------------------------------------------------------------+

[ Paused  ] gullish-4.3.4-1.noarch.rpm
[ Paused  ] sulphonated-10.3.8-1.noarch.rpm
[ Paused  ] reliques-7.0.5-1.noarch.rpm
[ Paused  ] reliques-7.0.6-1.noarch.rpm
[ Paused  ] Minneola-0.10.1-1.noarch.rpm
[ Paused  ] visite-3.8.1-1.noarch.rpm
[ Paused  ] nonconterminal-4.10.5-1.noarch.rpm
[ Paused  ] porulous-4.1.6-1.noarch.rpm
[ Paused  ] epact-6.7.12-1.noarch.rpm
[ Paused  ] oxonian-2.1.9-1.noarch.rpm
[ Paused  ] crashworthy-0.0.6-1.noarch.rpm
[ Paused  ] intraphilosophic-4.7.9-1.noarch.rpm
[ Paused  ] Amon-6.0.6-1.noarch.rpm
[ Paused  ] inconsiderably-7.9.2-1.noarch.rpm
[ Running ] stoppered-1.8.4-1.noarch.rpm
[ Paused  ] umload-5.2.6-1.noarch.rpm
[ Paused  ] bifrost-8.9.9-1.noarch.rpm
[ Paused  ] premodel-3.9.9-1.noarch.rpm
[ Paused  ] genteeler-8.0.10-1.noarch.rpm
[ Paused  ] prerestrain-2.5.7-1.noarch.rpm
[ Paused  ] hypertoxic-0.2.3-1.noarch.rpm
[ Paused  ] oligostemonous-6.3.4-1.noarch.rpm
[ Paused  ] canaster-0.5.2-1.noarch.rpm
...
Comment 1 Sayli Karmarkar 2013-10-02 15:32:43 EDT
Fixed when fixing another bug in the uploads area. Here is the related PR -

https://github.com/pulp/pulp_rpm/pull/348
Comment 2 Jeff Ortel 2013-10-11 11:26:08 EDT
build: 2.3.0-0.18.beta
Comment 3 Preethi Thomas 2013-10-16 13:30:41 EDT
verified
[root@pulp-v2-server ~]# rpm -qa |grep pulp-server
pulp-server-2.3.0-0.20.beta.el6.noarch
[root@pulp-v2-server ~]# 

[root@pulp-v2-server ~]# pulp-admin rpm repo uploads rpm --repo-id test-repo  -d /var/tmp/generated-repo/ -v
+----------------------------------------------------------------------+
                              Unit Upload
+----------------------------------------------------------------------+

Extracting necessary metadata for each request...
[==================================================] 100%
Analyzing: acme-package-1.1.2-1.noarch.rpm
... completed

Files to be uploaded:
  pseudepigraphical-7.0.9-1.noarch.rpm
  redocked-9.0.8-1.noarch.rpm
  nubiferous-3.7.5-1.noarch.rpm
  transpersonally-10.0.6-1.noarch.rpm
  countryman-4.0.10-1.noarch.rpm
  acme-package-1.0.2-1.noarch.rpm
  acme-package-1.0.1-1.noarch.rpm
  acme-package-1.1.2-1.noarch.rpm

Creating upload requests on the server...
[==================================================] 100%
Initializing: acme-package-1.1.2-1.noarch.rpm
... completed

Starting upload of selected units. If this process is stopped through ctrl+c,
the uploads will be paused and may be resumed later using the resume command or
cancelled entirely using the cancel command.

Uploading: pseudepigraphical-7.0.9-1.noarch.rpm
[==================================================] 100%
40819/40819 bytes
... completed

Importing into the repository...
... completed

Deleting the upload request...
... completed

Uploading: redocked-9.0.8-1.noarch.rpm
[==================================================] 100%
27360/27360 bytes
... completed

Importing into the repository...
... completed

Deleting the upload request...
... completed

Uploading: nubiferous-3.7.5-1.noarch.rpm
[==================================================] 100%
79632/79632 bytes
... completed

Importing into the repository...
... completed

Deleting the upload request...
... completed

Uploading: transpersonally-10.0.6-1.noarch.rpm
[==================================================] 100%
86908/86908 bytes
... completed

Importing into the repository...
^V... completed

Deleting the upload request...
... completed

Uploading: countryman-4.0.10-1.noarch.rpm
[==================================================] 100%
50952/50952 bytes
... completed

Importing into the repository...
^CUploading paused


[root@pulp-v2-server ~]# pulp-admin rpm repo uploads list
+----------------------------------------------------------------------+
                            Upload Requests
+----------------------------------------------------------------------+

[ Paused  ] acme-package-1.1.2-1.noarch.rpm
[ Paused  ] acme-package-1.0.1-1.noarch.rpm
[ Paused  ] acme-package-1.0.2-1.noarch.rpm
[ Paused  ] countryman-4.0.10-1.noarch.rpm

[root@pulp-v2-server ~]# pulp-admin iso repo uploads list
+----------------------------------------------------------------------+
                            Upload Requests
+----------------------------------------------------------------------+

No outstanding uploads found

[root@pulp-v2-server ~]#
Comment 4 Preethi Thomas 2013-12-09 09:30:41 EST
Pulp 2.3 released.

Note You need to log in before you can comment on or make changes to this bug.